function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import "echarts-liquidfill";
import { liquidfill } from "@dft-vue-2-opentiny/vue-renderless/chart-liquidfill/index";
import Core from "@dft-vue-2-opentiny/vue-chart-core";
import { defineComponent, $prefix } from "@dft-vue-2-opentiny/vue-common";
var Liquidfill = defineComponent(_extends({}, Core, {
  name: $prefix + "ChartLiquidfill",
  data: function data() {
    this.chartHandler = liquidfill;
    return {};
  }
}));
var version = "2.8.0";
Liquidfill.install = function(Vue) {
  Vue.component(Liquidfill.name, Liquidfill);
};
Liquidfill.version = version;
export {
  Liquidfill as default
};
